> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Mno Metadata

> Get the campaign metadata for each MNO it was submitted to.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/campaigns.yml get /10dlc/campaign/{campaignId}/mnoMetadata
openapi: 3.1.0
info:
  title: Telnyx 10DLC Campaigns API
  version: 2.0.0
  description: API for 10DLC campaign management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/campaign/{campaignId}/mnoMetadata:
    get:
      tags:
        - Campaign
      summary: Get Campaign Mno Metadata
      description: Get the campaign metadata for each MNO it was submitted to.
      operationId: GetCampaignMnoMetadata
      parameters:
        - description: ID of the campaign in question
          required: true
          schema:
            title: Campaignid
            type: string
            description: ID of the campaign in question
          name: campaignId
          in: path
      responses:
        '200':
          description: >-
            Successful Response. It constains a map of usecase metadata for each
            MNO. The key is the network ID of the MNO (e.g. 10017), the value is
            the mno metadata for the usecase. The metadata may also include some
            MNO specific fields.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MnoMetadata'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
        5XX:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/10dlc_Errors'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.messaging10dlc.campaign.getMnoMetadata('campaignId');


            console.log(response['10999']);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.messaging_10dlc.campaign.get_mno_metadata(
                "campaignId",
            )
            print(response._10999)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Messaging10dlc.Campaign.GetMnoMetadata(context.TODO(), \"campaignId\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Number10999)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.campaign.CampaignGetMnoMetadataParams;

            import
            com.telnyx.sdk.models.messaging10dlc.campaign.CampaignGetMnoMetadataResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    CampaignGetMnoMetadataResponse response = client.messaging10dlc().campaign().getMnoMetadata("campaignId");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.messaging_10dlc.campaign.get_mno_metadata("campaignId")


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->messaging10dlc->campaign->getMnoMetadata('campaignId');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:campaign get-mno-metadata \
              --api-key 'My API Key' \
              --campaign-id campaignId
components:
  schemas:
    MnoMetadata:
      title: MnoMetadata
      type: object
      additionalProperties: true
      properties:
        '10999':
          $ref: '#/components/schemas/MnoMetadataItem'
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    MnoMetadataItem:
      title: MnoMetadataItem
      type: object
      required:
        - qualify
        - mno
        - noEmbeddedLink
        - reqSubscriberHelp
        - reqSubscriberOptout
        - mnoReview
        - noEmbeddedPhone
        - mnoSupport
        - reqSubscriberOptin
        - minMsgSamples
      properties:
        qualify:
          type: boolean
        mno:
          type: string
        noEmbeddedLink:
          type: boolean
        reqSubscriberHelp:
          type: boolean
        reqSubscriberOptout:
          type: boolean
        mnoReview:
          type: boolean
        noEmbeddedPhone:
          type: boolean
        mnoSupport:
          type: boolean
        reqSubscriberOptin:
          type: boolean
        minMsgSamples:
          type: integer
          example: 1
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````